Use the upstream versioning scheme (i.e 7u13 instead of 7.13) to match the convention...
authorEmmanuel Bourg <ebourg@apache.org>
Wed, 5 Jun 2013 12:48:56 +0000 (14:48 +0200)
committerEmmanuel Bourg <ebourg@apache.org>
Wed, 5 Jun 2013 12:48:56 +0000 (14:48 +0200)
lib/oracle-jdk-doc.sh
lib/oracle-jdk.sh
lib/oracle-jre.sh

index 1bcf07f..96634de 100644 (file)
@@ -5,7 +5,7 @@ oracle_j2sdk_doc_detect() {
   then
     j2se_release=${BASH_REMATCH[1]}
     j2se_update=${BASH_REMATCH[2]}
-    j2se_version=$j2se_release.$j2se_update
+    j2se_version=${j2se_release}u${j2se_update}
     
     case "$j2se_release" in
     6) # JDK 6
index 090c2cf..fecb296 100644 (file)
@@ -7,7 +7,7 @@ oracle_j2sdk_detect() {
     j2se_release=${BASH_REMATCH[1]}
     j2se_update=${BASH_REMATCH[2]}
     j2se_arch=${BASH_REMATCH[3]}
-    j2se_version=$j2se_release.$j2se_update
+    j2se_version=${j2se_release}u${j2se_update}
     j2se_priority=$((310 + $j2se_release))
     j2se_expected_min_size=130 #Mb
 
index db287cd..04c47e6 100644 (file)
@@ -7,7 +7,7 @@ oracle_j2re_detect() {
     j2se_release=${BASH_REMATCH[1]}
     j2se_update=${BASH_REMATCH[2]}
     j2se_arch=${BASH_REMATCH[3]}
-    j2se_version=$j2se_release.$j2se_update
+    j2se_version=${j2se_release}u${j2se_update}
     j2se_priority=$((310 + $j2se_release - 1))
     j2se_expected_min_size=85 #Mb